# Class PlayerVideoElementChangedEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - PlayerVideoElementChangedEvent

#####
Index

### Constructors

constructor

### Properties

type
videoElement

## Constructors

### constructor

- new PlayerVideoElementChangedEvent(videoElement): PlayerVideoElementChangedEvent

- #### Parameters

  - videoElement: HTMLVideoElement

  #### Returns PlayerVideoElementChangedEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` type

type: "playerVideoElementChanged" = Events.PlayerVideoElementChanged

Overrides BasePlayerEvent.type

### `Readonly` videoElement

videoElement: HTMLVideoElement